## Best practices

- Button labels should be clear so customers can predict what the results of interacting with a button will be.
- Use primary buttons for actions that will progress the customer through checkout, such as "Continue to shipping", and "Pay now".
- Use secondary buttons for actions that you want to draw attention to, but are not primary, such as ”Track your order”.
- Use plain buttons when you want the appearance of a text link, but the hit area of a button. Works well alongside other buttons to create hierarchies such as “Continue” and “Return to cart”.

## Related components

- [ButtonGroup](https://github.com/Shopify/ui-extensions/tree/main/packages/checkout-ui-extensions/src/components/ButtonGroup): A button group controls the layout for two or more stacked buttons such as “Continue” and “Return to cart”, and adds the necessary spacing between them.
- [Link](https://github.com/Shopify/ui-extensions/tree/main/packages/checkout-ui-extensions/src/components/Link): Link makes text interactive so customers can perform an action, such as navigating to another location.
