## Best practices

- If the link isn’t in a paragraph, consider using a plain button instead to get a larger hit area.
- Use links primarily for navigation and button primarily for actions.
- The HTML that renders for the Button and Link components carries meaning. Using these components intentionally and consistently results in a more inclusive experience for assistive technology users and a more cohesive visual experience for sighted users.

## Related components

- [Button](https://github.com/Shopify/ui-extensions/tree/main/packages/checkout-ui-extensions/src/components/Button): Buttons are used for actions, such as “Add”, “Continue”, or “Pay now”, or “Save”.
- [ButtonGroup](https://github.com/Shopify/ui-extensions/tree/main/packages/checkout-ui-extensions/src/components/ButtonGroup): A button group controls the layout for two or more stacked buttons such as “Continue” and “Return to cart”, and adds the necessary spacing between them.
